# Uses of Class
org.apache.lucene.index.memory.MemoryIndex

- ## Uses of MemoryIndex in org.apache.lucene.index.memory

  Methods in org.apache.lucene.index.memory that return MemoryIndex
  Modifier and Type
  Method
  Description
  `static MemoryIndex`
  MemoryIndex.`fromDocument(Iterable<? extends IndexableField> document, Analyzer analyzer)`
  Builds a MemoryIndex from a lucene `Document` using an analyzer
  `static MemoryIndex`
  MemoryIndex.`fromDocument(Iterable<? extends IndexableField> document, Analyzer analyzer, boolean storeOffsets, boolean storePayloads)`
  Builds a MemoryIndex from a lucene `Document` using an analyzer
  `static MemoryIndex`
  MemoryIndex.`fromDocument(Iterable<? extends IndexableField> document, Analyzer analyzer, boolean storeOffsets, boolean storePayloads, long maxReusedBytes)`
  Builds a MemoryIndex from a lucene `Document` using an analyzer